Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Macros
nwmain.h File Reference
`#include "host.h"`
`#include "params.h"`
`#include "notdll.h"`

Go to the source code of this file.

## Macros

#define | DECLARE_MAIN(ARGC, ARGV)
#define | DECLARE_MAIN_CONFIG(ARGC, ARGV, NAME)
#define | REALLY_DECLARE_MAIN(ARGC, ARGV)

## Macro Definition Documentation

#define DECLARE_MAIN | ( |  | ARGC,
|  |  | ARGV
| ) |  |

Value:
STRING_VAR(init_config_file,"config","Config file to read on startup");\
REALLY_DECLARE_MAIN(ARGC,ARGV)

Definition at line 27 of file nwmain.h.

#define DECLARE_MAIN_CONFIG | ( |  | ARGC,
|  |  | ARGV,
|  |  | NAME
| ) |  |

Value:
STRING_VAR(init_config_file,NAME,"Config file to read on startup");\
REALLY_DECLARE_MAIN(ARGC,ARGV)

Definition at line 31 of file nwmain.h.

#define REALLY_DECLARE_MAIN | ( |  | ARGC,
|  |  | ARGV
| ) |  |

Definition at line 123 of file nwmain.h.